Package org.eclipse.ui.views.markers.internal

# Class ProjectEncodingMarkerResolutionGenerator

java.lang.Object
org.eclipse.ui.views.markers.internal.ProjectEncodingMarkerResolutionGenerator

All Implemented Interfaces:
  `IMarkerResolutionGenerator`, `IMarkerResolutionGenerator2`

public class ProjectEncodingMarkerResolutionGenerator extends Object implements IMarkerResolutionGenerator2
Provides a resolution for warning markers on projects without an explicit encoding setting.

## Constructor Summary

Constructors
Constructor
Description
`ProjectEncodingMarkerResolutionGenerator()`

## Method Summary

Modifier and Type
Method
Description
`IMarkerResolution[]`
`getResolutions(IMarker marker)`
Returns resolutions for the given marker (may be empty).
`boolean`
`hasResolutions(IMarker marker)`
Returns whether there are any resolutions for the given marker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProjectEncodingMarkerResolutionGenerator

public ProjectEncodingMarkerResolutionGenerator()

## Method Details

### getResolutions

public IMarkerResolution[] getResolutions(IMarker marker)
Description copied from interface: `IMarkerResolutionGenerator`
Returns resolutions for the given marker (may be empty).

Specified by:
  `getResolutions` in interface `IMarkerResolutionGenerator`
Parameters:
  `marker` - the marker
Returns:
  resolutions for the given marker

### hasResolutions

public boolean hasResolutions(IMarker marker)
Description copied from interface: `IMarkerResolutionGenerator2`
Returns whether there are any resolutions for the given marker.

Specified by:
  `hasResolutions` in interface `IMarkerResolutionGenerator2`
Parameters:
  `marker` - the marker
Returns:
  `true` if there are resolutions for the given marker, `false` if not